Ramp: Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id
Hold Bill: response body, field payment / amount, bank_debit_trace_id, customer_friendly_payment_id, details, effective_date, id, payment_date, payment_method, trace_id. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | Model | Required within parent | Expand Hold Bill — response body — amount Paid amount of the bill. |
bank_debit_trace_id | Model | Optional | Expand Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id bank debit trace id The bank-facing accountability reference for the business bank debit leg of this payment, when available. Read only: true |
customer_friendly_payment_id | JSON | Required within parent | |
customer_friendly_payment_id (anyOf 1) | string | Alternative | Customer-friendly payment identifier for non-card payment methods, if available. Bills sharing the same value belong to the same payment or batch payment. Read only: true |
customer_friendly_payment_id (anyOf 2) | null | Alternative | |
details | Model | Required within parent | Expand Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id details Additional payment details specific to payment method. |
effective_date | JSON | Required within parent | |
effective_date (anyOf 1) | string | Alternative | For non-card payment methods only, the date the payment is actually initiated. Format: date-time |
effective_date (anyOf 2) | null | Alternative | |
id | JSON | Required within parent | |
id (anyOf 1) | string | Alternative | Unique identifier of the payment. Bills sharing the same payment ID belong to the same batch payment. Read only: true |
id (anyOf 2) | null | Alternative | |
payment_date | JSON | Required within parent | |
payment_date (anyOf 1) | string | Alternative | For non-card payment methods, the scheduled initiation date. For card payment methods, the scheduled payment or card-delivery date until a transaction is associated, then the transaction date. This field does not indicate settlement; use details.transaction_ids and the Transactions API. Format: date-time |
payment_date (anyOf 2) | null | Alternative | |
payment_method | JSON | Required within parent | |
payment_method (anyOf 1) | string | Alternative | Known values: ACH, AUTOMATIC_CARD_PAYMENT, CARD, CHECK, CRYPTO_WALLET_TRANSFER, DIRECT_DEBIT, DOMESTIC_WIRE, EARLY_PAYMENT_DISCOUNT, FED_NOW, INTERNATIONAL, LOCAL_BANK_TRANSFER, ONE_TIME_CARD, ONE_TIME_CARD_DELIVERY, PAID_MANUALLY, RTP, SWIFT, UNSPECIFIED, VENDOR_CREDIT Read only: true |
payment_method (anyOf 2) | null | Alternative | |
trace_id | JSON | Required within parent | |
trace_id (anyOf 1) | Model | Alternative | Expand Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id bank debit trace id For non-card payment methods only, the trace ID for this bill. This field is only returned in the GET /bills/{bill_id} response body (not in the GET /bills paginated query). |
trace_id (anyOf 2) | null | Alternative |
Referenced models: Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id bank debit trace id, Hold Bill — response body — payment amount, bank debit trace id, customer friendly payment id, details, effective date, id, payment date, payment method, trace id details, Hold Bill — response body — amount